        // Act as an interactive player. The game
        // manager requests row and col values
        // via getRow and getCol, after a call to chooseSquare.
class TTTPlayer {
    public void chooseSquare(){
        setRow(getKeyboard().nextInt());
        setCol(getKeyboard().nextInt());
    }

    public int getRow(){
        return row;
    }

    public int getCol(){
        return col;
    }

    private void setRow(int r){
        row = r;
    }

    private void setCol(int c){
        col = c;
    }

    private SimpleInput getKeyboard(){
        return keyboard;
    }

    // The row and column selected.
    private int row, col;
    private final SimpleInput keyboard = new SimpleInput();
}
