import java.io.*;

        // Check which of the command line arguments are files.
class CheckFiles {
    public static void main(String[] args){
        final int numArgs = args.length;
        for(int i = 0; i < numArgs; i++){
            File f = new File(args[i]);
            if(f.exists()){
                System.out.print(f.getAbsolutePath());
                if(f.canRead()){
                    System.out.print(" readable");
                }
                if(f.isDirectory()){
                    System.out.print(" directory");
                }
                System.out.println(".");
            }
        }
    }
}
