        // Illustrate the creation of a Graph and
        // its appearance when a few points are added.
        // Add a point outside the coordinate space.
class GraphMain1a {
    public static void main(String[] args){
        // Define the bounds of the coordinate space.
        double minX = -10, maxX = 50, minY = -10, maxY = 50;
        // Use the GraphMinder1 class, that fixes the
        // out-of-bounds problems with the GraphMinder class.
        GraphMinder1 minder = new GraphMinder1(minX,maxX,minY,maxY);

        // Draw lines through the origin.
        minder.addLine(minX,0,maxX,0);
        minder.addLine(0,minY,0,maxY);

        // Add a small selection of points, one in each quadrant.
        minder.addPoint(-3.5,-8.9);
        minder.addPoint(-9,30);
        minder.addPoint(48,-4);
        minder.addPoint(7,12);

        // Add a point outside the space.
        minder.addPoint(100.0,100.0);
    }
}
