    // Maintain details of the name, owner, netid and hostid
    // of a PC. The netid and hostid may be changed.
class PCDetails {
    public PCDetails(String name, String owner){
        this.name = name;
        this.owner = owner;
    }

    public String toString(){
        return getName()+" "+getNetid()+"."+getHostid()+" "+getOwner();
    }

    public String getName(){
        return name;
    }

    public String getOwner(){
        return owner;
    }

    public int getNetid(){
        return netid;
    }

    public void setNetid(int n){
        netid = n;
    }

    public int getHostid(){
        return hostid;
    }

    public void setHostid(int h){
        hostid = h;
    }

    // Fixed attributes.
    private final String name, owner;
    // Movable attributes
    private int netid, hostid;
}
