        // Count how many a sample of positive values
        // can be split in two.
public class SplitInTwo {
     public static void main(String[] args){
         final int[] values = {
             // Powers of 2.
             0, 1, 2, 4, 1024, 
             -8,
             // Other even numbers.
             6, 22, 100,
             // Odd numbers (powers of 2 plus 1).
             9, 257, 2049,
             // Other odd numbers.
             7, 37, 101, 1149,
         };
         final int numValues = values.length;
         for(int i = 0; i < numValues; i++){
             System.out.println(values[i]+" halves "+
                                halve(values[i])+" times.");
         }
     }

         // Return how many times num can be (integer) divided by 2.
         // Use a recursive solution.
     public static int halve(int num){
         int times;
         if(num > 1){
             // The number of times is 1 more than the number of
             // times that half of it can be divided by 2.
             times = 1+halve(num/2);
         }
         else{
             times = 0;
         }
         return times;
     }
}
