        // An immutable card object. It retains the same suit
        // and value throughout its life.
class SuitedCard {
    public SuitedCard(int suit,int value){
        this.suit = suitNames[suit];
        this.value = value;
    }

    public String toString(){
        return "Suit: "+getSuit()+" Value: "+getValue();
    }

    public String getSuit(){
        return suit;
    }

    public int getValue(){
        return value;
    }

    // The names for the four suits.
    private final static String[] suitNames = {
        "Spades", "Hearts", "Diamonds", "Clubs",
    };

    // The suit and value of this card.
    private final String suit;
    private final int value;
}
