        // A sample class implementing the Priority interface.
class LowPriority implements Priority {
    // Impose a maximum on the allowed priority.
    public static final int CEILING = 5;

    public LowPriority(String id){
        this.priority = 1;
        this.id = id;
    }

    public int getPriority(){
        return priority;
    }

    public void setPriority(int p){
        if(p > CEILING){
            p = CEILING;
        }
        priority = p;
    }

    public String toString(){
        return getId()+" "+getPriority();
    }

    public String getId(){
        return id;
    }

    private int priority;
    private final String id;
}
